package cn.iocoder.yudao.module.order.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("管理后台 - 不出出货渠道异常DTO ")
public class ExceptionFeeDto {
    @ApiModelProperty(value = "币种")
    private Long currencyId;
    @ApiModelProperty(value = "价格")
    private BigDecimal price;
    @ApiModelProperty(value = "单位")
    private Long unitId;
}
