package cn.iocoder.yudao.module.order.vo.orderItem;

import cn.iocoder.yudao.module.order.vo.order.WarehouseCheckInfoVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "到仓订单项信息")
public class OrderItemCheckWarehouseVO {

    @ApiModelProperty(value = "主键ID", required = true)
    private Long orderItemId;

    @ApiModelProperty(value = "订单ID", required = true)
    private Long orderId;

    @ApiModelProperty(value = "商品ID", required = true)
    private Long prodId;

    @ApiModelProperty(value = "产品类型")
    private Integer prodType;

    @ApiModelProperty(value = "产品中文标题")
    private String prodTitleZh;

    @ApiModelProperty(value = "产品英文标题")
    private String prodTitleEn;

    @ApiModelProperty(value = "到仓品牌ID", required = true)
    private Long checkBrand;

    @ApiModelProperty(value = "0 无牌 1 有牌 2 中性", required = true)
    private Integer checkBrandType;

    @ApiModelProperty(value = "商品特性(可选多个特性ID)")
    private String checkProdAttrIds;

    @ApiModelProperty(value = "入仓规格类型")
    private Integer specificationType;

    @ApiModelProperty(value = "材质")
    private String checkMaterial;


    @ApiModelProperty(value = "到仓数据")
    private WarehouseCheckInfoVO warehouseCheckInfoVO;

}
