package cn.iocoder.yudao.module.order.dal.dataobject.orderMutual;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单互斥 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_mutual")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderMutualDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 互斥订单id
     */
    private Long mutualOrderId;
    /**
     * 互斥时间
     */
    private Date addTime;

}
